version: '3.4'

services:
  prometheus:
    network_mode: host
    image: prom/prometheus:v2.21.0
    volumes:
      - ./prometheus:/etc/prometheus
      - prometheus-data:/prometheus
    command: --web.enable-lifecycle  --config.file=/etc/prometheus/prometheus.yml

  grafana:
    network_mode: host
    image: grafana/grafana:$GRAFANA_VERSION
    environment:
      GF_SECURITY_ADMIN_USER: $GRAFANA_ADMIN_USER
      GF_SECURITY_ADMIN_PASSWORD: $GRAFANA_ADMIN_PASSWORD
    volumes:
      - grafana-storage:/var/lib/grafana
    depends_on:
      - prometheus

networks:
  internal:

volumes:
  prometheus-data:
  grafana-storage:
